<?php
 
 
 

namespace PhpWA\Protocol\Proto\DeviceCapabilities;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class UserHasAvatar extends \Google\Protobuf\Internal\Message
{
    


    protected $userHasAvatar = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getUserHasAvatar()
    {
        return isset($this->userHasAvatar) ? $this->userHasAvatar : false;
    }

    public function hasUserHasAvatar()
    {
        return isset($this->userHasAvatar);
    }

    public function clearUserHasAvatar()
    {
        unset($this->userHasAvatar);
    }

    




    public function setUserHasAvatar($var)
    {
        GPBUtil::checkBool($var);
        $this->userHasAvatar = $var;

        return $this;
    }

}

